function dispatch_batch_update() {
	$base_url = quicty_base_url();
	$this->list = $this->new_data_set('<!--{$data_name}-->');
	$perPage = 20;
	$fields = $this->make_select_fields();
	$where_condition = $this->make_where_condition();
	$sort_condition = $this->make_sort_condition();
	$join_condition = $this->make_join_condition();
	$select_condition = $join_condition.' '.$where_condition;
	$pager_option = $this->set_pager_option($perPage,$select_condition);
	$this->list->bind_pager($pager_option);

	//$this->list->hide_in_batch_list(array('hide column1','hide column1','...'));
	//$this->list->freeze_in_batch_list(array('freeze column1','freeze column2','...'));
	$this->list->set_button_status('use_confirm',false);
	$this->list->bind_button_control();
	$table_data = $this->list->automatic_batch_handler(' order by id',$fields);

	if($this->QuictyStatus=='UPDATE') {
		redirect('/<!--{$data_name}-->/edit?id='.$_POST['id']);
	}
	
	$update_form['display_cmd'] = $base_url.'/<!--{$data_name}-->/edit';
	$update_form['conditions']['id'] = $_REQUEST['id'];
	$update_form['even_color'] = '#fee';	
	$this->assign_batch_form('table_view',$table_data,$max_column=4,$update_form);

	//$navi = $this->list->get_pager_links();
	//$this->assign('pager_navi',$navi['all']);
	$this->page['pager'] = $this->set_pager();

	$upper_path = '/<!--{$data_name}-->/'.$this->W['list'];
	$this->add_pathlist('/<!--{$data_name}-->/',$upper_path,false);
	$this->add_pathlist('',$this->page['name']);
	$this->page['name'] = $this->W['<!--{$page_name}-->'];
	$this->assign('page',$this->page);
	return $this->display($this->current_template);
}
